# $Revision: 1.14 $, $Date: 2006/03/29 22:29:07 $
%include	/usr/lib/rpm/macros.php
%define		_class		Crypt
%define		_subclass	Blowfish
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - quick two-way blowfish encryption
Summary(pl):	%{_pearname} - szybkie dwustronne szyfrowanie algorytmem blowfish
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	2
Epoch:		0
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	93873efe07a267b2b415965994a0af98
URL:		http://pear.php.net/package/Crypt_Blowfish/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-12
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows you to preform two-way blowfish on the fly using
only PHP. This package does not require the Mcrypt PHP extension to
work.

In PEAR status of this package is: %{_status}.

%description -l pl
Ta klasa pozwala na dwustronne szyfrowanie w locie z uyciem algorytmu
blowfish. Klasa ta nie wymaga rozszerzenia Mcrypt.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

# badly packaged, i think
sed -i -e 's,Blowfish/DefaultKey.php,Crypt/Blowfish/DefaultKey.php,' ./%{php_pear_dir}/%{_class}/%{_subclass}.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_Blowfish.spec,v $
Revision 1.14  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.13  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.12  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.11  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.10  2005/10/27 17:48:19  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.9  2005/10/03 13:49:19  glen
- sed 4.0 already required by rpm-php-pearprov >= 4.4.2-12

Revision 1.8  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.7  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.6  2005/09/23 11:57:03  qboosh
- pl for -tests

Revision 1.5  2005/09/19 23:36:07  glen
- 1.0.1

Revision 1.4  2005/09/19 21:43:39  glen
- integer BR

Revision 1.3  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.2  2005/05/05 07:40:00  adamg
- updated to 1.0.0

Revision 1.1  2005/03/27 00:56:02  adamg
- new

